/**@file
 *			Patches for Anthy, by G-HAL
 *@brief	饤󥹾ࡦС󡦥ӥϿ
 *@date		Thu,04 Aug,2011
 *@author	Copyright(C)2011 G-HAL
 *@note
 *	Anthy Revision-ID: $Id: revision_header.h 1221 2013-01-11 00:02:00Z G-HAL $
 */
#ifndef _revision_header_h_included_
#define _revision_header_h_included_

#define	ANTHY_PACKAGE_ID	"" PACKAGE_NAME "-" PACKAGE_VERSION ""
#define	ANTHY_REVISION_ID	"$Id: revision_header.h 1221 2013-01-11 00:02:00Z G-HAL $"

#if !defined(HAVE_MERGESORT) || !defined(HAVE_STRLCAT) || !defined(HAVE_STRLCPY)
# if !defined(HAVE_MERGESORT)
#  if !defined(HAVE_STRLCAT)
#   define	_BSD_LIBC_LICENSE_1	"" HAVE_ALTERNATIVE_MERGESORT "()," HAVE_ALTERNATIVE_STRLCAT "()"
#  else
#   define	_BSD_LIBC_LICENSE_1	"" HAVE_ALTERNATIVE_MERGESORT "()"
#  endif
#  if !defined(HAVE_STRLCPY)
#   define	_BSD_LIBC_LICENSE_2	"" _BSD_LIBC_LICENSE_1 "," HAVE_ALTERNATIVE_STRLCPY "()"
#  else
#   define	_BSD_LIBC_LICENSE_2	"" _BSD_LIBC_LICENSE_1 ""
#  endif
#  define	_BSD_LIBC_LICENSE_3	"" _BSD_LIBC_LICENSE_2 " are BSD license."
# else
#  if !defined(HAVE_STRLCAT)
#   if !defined(HAVE_STRLCPY)
#    define	_BSD_LIBC_LICENSE_3	"" HAVE_ALTERNATIVE_STRLCAT "()," HAVE_ALTERNATIVE_STRLCPY "() are BSD license."
#   else
#    define	_BSD_LIBC_LICENSE_3	"" HAVE_ALTERNATIVE_STRLCAT "() is BSD license."
#   endif
#  else
#   if !defined(HAVE_STRLCPY)
#    define	_BSD_LIBC_LICENSE_3	"" HAVE_ALTERNATIVE_STRLCPY "() is BSD license."
#   else
#    define	_BSD_LIBC_LICENSE_3	""
#   endif
#  endif
# endif
# define	BSD_LIBC_LICENSE	" " _BSD_LIBC_LICENSE_3 "."
#else
# define	BSD_LIBC_LICENSE	""
#endif
#if defined(ENABLE_PTHREAD) && defined(ENABLE_FORK)
# define	OSSP_MM_LICENSE		"OSSP mm is BSD license."
#else
# define	OSSP_MM_LICENSE		""
#endif
static const char __attribute__((used)) anthy_hybrid_license[] = "@(#) $license: Anthy is LGPL, mkworddic is GPL. alt-cannadic is GPL, alt-depgraph is LGPL v2.1 or later." BSD_LIBC_LICENSE "" OSSP_MM_LICENSE " $";
static const char __attribute__((used)) rcsid[] = "@(#) $version: " ANTHY_PACKAGE_ID " $";

#endif /* _revision_header_h_included_ */
/* [ End of File ] */
/* vim:ts=4 sw=4 nomodified:
 */
